package types

type Share struct {
	Slug string `json:"slug"`
	Key  string `json:"key"`
}

type AppConfig struct {
	S3Endpoint  string
	S3AccessKey string
	S3SecretKey string
	S3SSL       bool
	S3Bucket    string
	Address     string
	APIUsername string
	APIPassword string
	DSN         string
}

type Metadata struct {
	Size        int64
	ContentType string
	Filename    string
	ETag        string
}
